package facturacionOperaciones

import (
	"api-soap-facturacion/internal/logger"
	"api-soap-facturacion/pkg/soap"
	"net/http"
	"time"
)

// ClientOptions contiene opciones para personalizar el cliente SOAP
type ClientOptions struct {
	Timeout     time.Duration
	HTTPClient  *http.Client
	EndpointURL string
}

// Client es el cliente SOAP para comunicarse con SIAT
type Client struct {
	httpClient  *http.Client
	endpointURL string
	soapClient  soap.Client
	logger      logger.Logger
}
