package models

type APIResponse struct {
	Success bool        `json:"success"`
	Message string      `json:"message"`
	Data    interface{} `json:"data,omitempty"`
	Error   string      `json:"error,omitempty"`
}

type APIResponseCuis struct {
	Success bool        `json:"success"`
	Message string      `json:"message"`
	Data    CuisMinimal `json:"data,omitempty"`
	Error   string      `json:"error,omitempty"`
}

type CuisMinimal struct {
	Codigo        string `json:"codigo"`
	FechaVigencia string `json:"fechaVigencia"`
	Transaccion   bool   `json:"transaccion"`
}
