package response

import (
	"encoding/xml"
)

// Estructuras para la respuesta SOAP.
type SoapEnvelopeFechaHora struct {
	XMLName xml.Name          `xml:"Envelope"`
	Body    SoapBodyFechaHora `xml:"Body"`
}

type SoapBodyFechaHora struct {
	Response SincronizarResponseFechaHora `xml:"sincronizarFechaHoraResponse"`
}

type SincronizarResponseFechaHora struct {
	RespuestaFechaHora RespuestaFechaHora `xml:"RespuestaFechaHora"`
}

type RespuestaFechaHora struct {
	//Transaccion bool   `xml:"transaccion"`
	FechaHora string `xml:"fechaHora"`
}

func (e SoapEnvelopeFechaHora) GetData() RespuestaFechaHora {
	return e.Body.Response.RespuestaFechaHora
}
