// internal/models/entidad_db/entidades.go
package entidad_db

type SolicitudServicioRecepcionFactura struct {
	CodigoAmbiente        int
	CodigoDocumentoSector int
	CodigoEmision         int
	CodigoModalidad       int
	CodigoPuntoVenta      int
	CodigoSistema         string
	CodigoSucursal        int
	CUFD                  string
	CUIS                  string
	NIT                   string
	TipoFacturaDocumento  int
	Archivo               string
	FechaEnvio            string
	HashArchivo           string
}

type FacturaXML struct {
	FechaEmision string `xml:"FechaEmision"`
}

// Datos que vas a mapear
type DatosFactura struct {
	RegistroEmpresaID         int
	CodigoAmbiente            int
	CodigoModalidad           int
	CodigoPuntoVenta          int
	CodigoSistema             string
	CodigoSucursal            int
	NIT                       string
	CUIS                      string
	CUFD                      string
	CodigoControl             string
	TokenKey                  string
	TokenValue                string
	NombreArchivoCertificado  string
	NombreArchivoClavePrivada string
}
