package generadorFirmaDigital

import (
	"crypto/sha256"
	"encoding/hex"
)

// -----------------------------------------------------
// Calcula SHA-256 y devuelve hex.
// -----------------------------------------------------
func Sha256Hex(data []byte) string {
	sum := sha256.Sum256(data)
	return hex.EncodeToString(sum[:])
}
